
package com.tmerclub.cloud.discount.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 满减满折优惠项VO
 *
 * @author tmerclub
 * @date 2020-12-16 16:25:09
 */
public class DiscountItemVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "满减满折优惠项id")
    private Long discountItemId;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "更新时间")
    private Date updateTime;

    @Schema(description = "满减满折优惠id")
    private Long discountId;

    @Schema(description = "所需需要金额")
    private Long needAmount;

    @Schema(description = "优惠（元/折）9.5折就是95、9.5元就是950")
    private Long discount;

    public Long getDiscountItemId() {
        return discountItemId;
    }

    public void setDiscountItemId(Long discountItemId) {
        this.discountItemId = discountItemId;
    }

    public Long getDiscountId() {
        return discountId;
    }

    public void setDiscountId(Long discountId) {
        this.discountId = discountId;
    }

    public Long getNeedAmount() {
        return needAmount;
    }

    public void setNeedAmount(Long needAmount) {
        this.needAmount = needAmount;
    }

    public Long getDiscount() {
        return discount;
    }

    public void setDiscount(Long discount) {
        this.discount = discount;
    }

    @Override
    public String toString() {
        return "DiscountItemVO{" +
                "discountItemId=" + discountItemId +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", discountId=" + discountId +
                ", needAmount=" + needAmount +
                ", discount=" + discount +
                '}';
    }
}
